Package it.ernytech.tdlib

## Class TdApi.GetArchivedStickerSets

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetArchivedStickerSets

Enclosing class:
  TdApi

    public static class TdApi.GetArchivedStickerSets
    extends TdApi.Function

Returns a list of archived sticker sets.

Returns `StickerSets`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isMasks` Pass true to return mask stickers sets; pass false to return ordinary sticker sets.
`int` `limit` Maximum number of sticker sets to return.
`long` `offsetStickerSetId` Identifier of the sticker set from which to return the result.

### Constructor Summary

Constructors
`GetArchivedStickerSets()` Default constructor.
`GetArchivedStickerSets​(boolean isMasks, long offsetStickerSetId, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### isMasks

    public boolean isMasks

Pass true to return mask stickers sets; pass false to return ordinary sticker sets.

#### offsetStickerSetId

    public long offsetStickerSetId

Identifier of the sticker set from which to return the result.

#### limit

    public int limit

Maximum number of sticker sets to return.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetArchivedStickerSets

    public GetArchivedStickerSets()

Default constructor.

#### GetArchivedStickerSets

    public GetArchivedStickerSets​(boolean isMasks,
                                  long offsetStickerSetId,
                                  int limit)

Constructor for initialization of all fields.

Parameters:
  `isMasks` - Pass true to return mask stickers sets; pass false to return ordinary sticker sets.
  `offsetStickerSetId` - Identifier of the sticker set from which to return the result.
  `limit` - Maximum number of sticker sets to return.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR